Page MenuHomePhabricator

Selenium/WebdriverIO tests in JavaScript/Node.js
Closed, ResolvedPublic

Description

TLDR: Learn how to write Selenium tests using Node.js+WebdriverIO.

We are working on implementing Selenium tests in JavaScript. We are using WebdriverIO package and Node.js. You can follow progress at T139740: Port Selenium tests from Ruby to Node.js. I will update this task as the development progresses. Everything should be ready before the hackathon.

Example patches are in mediawiki/core and RelatedArticles.

Some documentation is available.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2017, 1:50 PM
zeljkofilipin triaged this task as Normal priority.Mar 9 2017, 10:38 AM
Yarl added a subscriber: Yarl.May 7 2017, 5:19 PM

Scheduled for Friday 18-19 in Wiaschtl! See you there!

Scheduled also for Saturday, Café Wien, 10-11.

Scheduled also for Saturday, Café Wien, 15-16.

zeljkofilipin closed this task as Resolved.May 20 2017, 2:52 PM